Index: c/src/ada-tests/sptests/sp14/config.h
===================================================================
--- c/src/ada-tests/sptests/sp14/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp14/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               3
 #define CONFIGURE_MAXIMUM_TIMERS              1
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp15/config.h
===================================================================
--- c/src/ada-tests/sptests/sp15/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp15/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_PARTITIONS          2
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp15/sp15.scn
===================================================================
--- c/src/ada-tests/sptests/sp15/sp15.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp15/sp15.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -2,14 +2,14 @@
 INIT - partition_create - partition 1
 INIT - partition_create - partition 2
-TA1 - partition_ident - partition 1 id = 16#10001#
-TA1 - partition_ident - partition 2 id = 16#10002#
-TA1 - partition_get_buffer - get buffer 1 from partition 1  -     16#0#
-TA1 - partition_get_buffer - get buffer 2 from partition 1  -   16#200#
-TA1 - partition_get_buffer - get buffer 1 from partition 2  -     16#0#
-TA1 - partition_get_buffer - get buffer 2 from partition 2  -    16#80#
-TA1 - partition_return_buffer - return buffer 1 to partition 1 -     16#0#
-TA1 - partition_return_buffer - return buffer 2 to partition 1 -   16#200#
-TA1 - partition_return_buffer - return buffer 1 to partition 2 -     16#0#
-TA1 - partition_return_buffer - return buffer 2 to partition 2 -    16#80#
+TA1 - partition_ident - partition 1 id = 16#2A010001#
+TA1 - partition_ident - partition 2 id = 16#2A010002#
+TA1 - partition_get_buffer - get buffer 1 from partition 1 -    16#0#
+TA1 - partition_get_buffer - get buffer 2 from partition 1 -  16#200#
+TA1 - partition_get_buffer - get buffer 1 from partition 2 -    16#0#
+TA1 - partition_get_buffer - get buffer 2 from partition 2 -   16#80#
+TA1 - partition_return_buffer - return buffer 1 to partition 1 -    16#0#
+TA1 - partition_return_buffer - return buffer 2 to partition 1 -  16#200#
+TA1 - partition_return_buffer - return buffer 1 to partition 2 -    16#0#
+TA1 - partition_return_buffer - return buffer 2 to partition 2 -   16#80#
 TA1 - partition_delete - delete partition 1
 TA1 - partition_delete - delete partition 2
Index: c/src/ada-tests/sptests/sp16/config.h
===================================================================
--- c/src/ada-tests/sptests/sp16/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp16/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               4
 #define CONFIGURE_MAXIMUM_REGIONS             4
 #define CONFIGURE_TICKS_PER_TIMESLICE       100
Index: c/src/ada-tests/sptests/sp16/sp16.scn
===================================================================
--- c/src/ada-tests/sptests/sp16/sp16.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp16/sp16.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,47 +1,47 @@
 *** TEST 16 ***
-TA1 - region_ident - rnid => 16#10001#
+TA1 - region_ident - rnid => 16#32010001#
 TA1 - region_get_segment - wait on 100 byte segment from region 2
-TA1 - got segment from region 2 - 16#F78#
+TA1 - got segment from region 2 -   16#30#
 TA1 - region_get_segment - wait on 3K segment from region 3
-TA1 - got segment from region 3 - 16#3F8#
+TA1 - got segment from region 3 -   16#30#
 TA1 - region_get_segment - get 3080 byte segment from region 1 - NO_WAIT
-TA1 - got segment from region 1 - 16#378#
+TA1 - got segment from region 1 -   16#20#
 TA1 - task_wake_after - yield processor
 TA2 - region_get_segment - wait on 2K segment from region 1
-TA3 - region_get_segment - wait on 3968 byte segment from region 2
-<pause>
-TA1 - region_return_segment - return segment to region 1 - 16#378#
+TA3 - region_get_segment - wait on 3950 byte segment from region 2
+<pause> 
+TA1 - region_return_segment - return segment to region 1 -   16#20#
 TA1 - region_get_segment - wait 10 seconds for 3K segment from region 1
-TA2 - got segment from region 1 - 16#7F8#
-TA2 - region_return_segment - return segment to region 1 - 16#7F8#
+TA2 - got segment from region 1 -   16#20#
+TA2 - region_return_segment - return segment to region 1 -   16#20#
 TA2 - task_set_priority - make self highest priority task
-TA2 - region_get_segment - wait on 3968 byte segment from region 2
-TA1 - got segment from region 1 - 16#3F8#
-TA1 - region_return_segment - return segment to region 2 - 16#F78#
-TA2 - got segment from region 2 - 16#8#
-TA2 - region_return_segment - return segment to region 2 - 16#8#
+TA2 - region_get_segment - wait on 3950 byte segment from region 2
+TA1 - got segment from region 1 -   16#20#
+TA1 - region_return_segment - return segment to region 2 -   16#30#
+TA2 - got segment from region 2 -   16#30#
+TA2 - region_return_segment - return segment to region 2 -   16#30#
 TA2 - task_delete - delete self
 TA1 - task_wake_after - yield processor
-TA3 - got segment from region 2 - 16#8#
+TA3 - got segment from region 2 -   16#30#
 TA3 - region_get_segment - wait on 2K segment from region 3
 TA1 - task_delete - delete TA3
-<pause>
+<pause> 
 TA1 - task_wake_after - yield processor
 TA4 - region_get_segment - wait on 1.5K segment from region 1
 TA5 - region_get_segment - wait on 1.5K segment from region 1
-TA1 - region_return_segment - return segment to region 1 - 16#3F8#
+TA1 - region_return_segment - return segment to region 1 -   16#20#
 TA1 - task_wake_after - yield processor
-TA4 - got and returned 16#9F8#
-TA5 - got and returned 16#3F0#
+TA4 - got and returned   16#20#
+TA5 - got and returned  16#6A0#
 TA1 - region_get_segment - wait 10 seconds for 3K segment from region 1
-TA1 - got segment from region 1 - 16#3F8#
+TA1 - got segment from region 1 -   16#20#
 TA1 - task_wake_after - sleep 1 second
+TA5 - region_get_segment - wait on 3K segment from region 1
 TA4 - region_get_segment - wait on 3K segment from region 1
-TA5 - region_get_segment - wait on 3K segment from region 1
 TA1 - task_delete - delete TA4
-TA1 - region_return_segment - return segment to region 1 - 16#3F8#
+TA1 - region_return_segment - return segment to region 1 -   16#20#
 TA1 - task_wake_after - yield processor
-TA5 - got segment from region 1 - 16#3F8#
-TA5 - region_return_segment - return segment to region 1 - 16#3F8#
+TA5 - got segment from region 1 -   16#20#
+TA5 - region_return_segment - return segment to region 1 -   16#20#
 TA5 - task_delete - delete self
 TA1 - region_delete - delete region 1
Index: c/src/ada-tests/sptests/sp16/sptest.adb
===================================================================
--- c/src/ada-tests/sptests/sp16/sptest.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp16/sptest.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -484,10 +484,10 @@
 
       TEXT_IO.PUT( 
-         "TA2 - region_get_segment - wait on 3968 byte segment "
+         "TA2 - region_get_segment - wait on 3950 byte segment "
       );
       TEXT_IO.PUT_LINE( "from region 2" );
       RTEMS.REGION_GET_SEGMENT(
          SPTEST.REGION_ID( 2 ),
-         3968,
+         3950,
          RTEMS.DEFAULT_OPTIONS,
          RTEMS.NO_TIMEOUT,
@@ -531,9 +531,9 @@
    begin
 
-      TEXT_IO.PUT( "TA3 - region_get_segment - wait on 3968 byte segment " );
+      TEXT_IO.PUT( "TA3 - region_get_segment - wait on 3950 byte segment " );
       TEXT_IO.PUT_LINE( "from region 2" );
       RTEMS.REGION_GET_SEGMENT(
          SPTEST.REGION_ID( 2 ),
-         3968,
+         3950,
          RTEMS.DEFAULT_OPTIONS,
          RTEMS.NO_TIMEOUT,
Index: c/src/ada-tests/sptests/sp17/config.h
===================================================================
--- c/src/ada-tests/sptests/sp17/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp17/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS           3
 #define CONFIGURE_MICROSECONDS_PER_TICK   RTEMS_MILLISECONDS_TO_MICROSECONDS(25)
 #define CONFIGURE_TICKS_PER_TIMESLICE     1000
Index: c/src/ada-tests/sptests/sp19/config.h
===================================================================
--- c/src/ada-tests/sptests/sp19/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp19/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -28,4 +28,6 @@
 #define CONFIGURE_MAXIMUM_POSIX_CONDITION_VARIABLES  10
 
+#define CONFIGURE_MAXIMUM_TASKS             7
+
 #include <rtems/confdefs.h>
 
Index: c/src/ada-tests/sptests/sp20/config.h
===================================================================
--- c/src/ada-tests/sptests/sp20/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp20/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               7
 #define CONFIGURE_MAXIMUM_PERIODS             10
 
Index: c/src/ada-tests/sptests/sp20/sp20.scn
===================================================================
--- c/src/ada-tests/sptests/sp20/sp20.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp20/sp20.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,18 +1,18 @@
 *** TEST 20 ***
-TA1 - rate_monotonic_create id = 16#10001#
-TA1 - rate_monotonic_ident id = 16#10001#
-TA1 - (16#10001#) period 2
-TA2 - rate_monotonic_create id = 16#10002#
-TA2 - rate_monotonic_ident id = 16#10002#
-TA2 - (16#10002#) period 2
-TA3 - rate_monotonic_create id = 16#10003#
-TA3 - rate_monotonic_ident id = 16#10003#
-TA3 - (16#10003#) period 2
-TA4 - rate_monotonic_create id = 16#10004#
-TA4 - rate_monotonic_ident id = 16#10004#
-TA4 - (16#10004#) period 2
-TA5 - rate_monotonic_create id = 16#10005#
-TA5 - rate_monotonic_ident id = 16#10005#
-TA5 - (16#10005#) period 100
+TA1 - rate_monotonic_create id = 16#42010001#
+TA1 - rate_monotonic_ident id = 16#42010001#
+TA1  - (16#42010001#) period 2
+TA2 - rate_monotonic_create id = 16#42010002#
+TA2 - rate_monotonic_ident id = 16#42010002#
+TA2  - (16#42010002#) period 2
+TA3 - rate_monotonic_create id = 16#42010003#
+TA3 - rate_monotonic_ident id = 16#42010003#
+TA3  - (16#42010003#) period 2
+TA4 - rate_monotonic_create id = 16#42010004#
+TA4 - rate_monotonic_ident id = 16#42010004#
+TA4  - (16#42010004#) period 2
+TA5 - rate_monotonic_create id = 16#42010005#
+TA5 - rate_monotonic_ident id = 16#42010005#
+TA5  - (16#42010005#) period 100
 TA5 - PERIODS CHECK OK (1)
 TA5 - PERIODS CHECK OK (2)
Index: c/src/ada-tests/sptests/sp22/config.h
===================================================================
--- c/src/ada-tests/sptests/sp22/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp22/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,6 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MAXIMUM_TIMERS              2
+#define CONFIGURE_MAXIMUM_TASKS           2
+#define CONFIGURE_MAXIMUM_TIMERS          2
 
 #define CONFIGURE_POSIX_INIT_THREAD_TABLE
Index: c/src/ada-tests/sptests/sp22/sp22.scn
===================================================================
--- c/src/ada-tests/sptests/sp22/sp22.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp22/sp22.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,10 +1,10 @@
 *** TEST 22 ***
 INIT - timer_create - creating timer 1
-INIT - timer 1 has id (16#10001#)
+INIT - timer 1 has id (16#12010001#)
 TA1 - timer_ident - identing timer 1
-TA1 - timer 1 has id (16#10001#)
+TA1 - timer 1 has id (16#12010001#)
 TA1 - clock_get -  9: 0: 0   12/31/1988
 TA1 - timer_after - timer 1 in 3 seconds
-TA1 - task_suspend( SELF ) 
+TA1 - task_suspend( SELF )
 TA1 - clock_get -  9: 0: 3   12/31/1988
 TA1 - timer_after - timer 1 in 3 seconds
@@ -14,5 +14,5 @@
 TA1 - task_suspend( SELF )
 TA1 - clock_get -  9: 0: 7   12/31/1988
-<pause>
+<pause> 
 TA1 - timer_after - timer 1 in 3 seconds
 TA1 - timer_cancel - timer 1
Index: c/src/ada-tests/sptests/sp23/config.h
===================================================================
--- c/src/ada-tests/sptests/sp23/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp23/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,5 +21,6 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MAXIMUM_PORTS               1
+#define CONFIGURE_MAXIMUM_TASKS           2
+#define CONFIGURE_MAXIMUM_PORTS           1
 
 #define CONFIGURE_POSIX_INIT_THREAD_TABLE
Index: c/src/ada-tests/sptests/sp23/sp23.scn
===================================================================
--- c/src/ada-tests/sptests/sp23/sp23.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp23/sp23.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,5 +1,5 @@
 *** TEST 23 ***
-INIT - port_create - DP1 - internal = 16#1000# external = 16#2000#
-TA1 - port_ident - 16#10001#
+INIT - port_create - DP1 - internal = 16#1000# external =  16#2000#
+TA1 - port_ident - 16#3A010001#
 TA1 - port_external_to_internal - external: 16#200E# => internal: 16#100E#
 TA1 - port_internal_to_external - internal: 16#100E# => external: 16#200E#
Index: c/src/ada-tests/sptests/sp24/config.h
===================================================================
--- c/src/ada-tests/sptests/sp24/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp24/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               4
 #define CONFIGURE_MAXIMUM_TIMERS              3
 
Index: c/src/ada-tests/sptests/sp25/config.h
===================================================================
--- c/src/ada-tests/sptests/sp25/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp25/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS               2
 #define CONFIGURE_MAXIMUM_REGIONS             1
 
Index: c/src/ada-tests/sptests/sp25/sp25.scn
===================================================================
--- c/src/ada-tests/sptests/sp25/sp25.scn	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/sptests/sp25/sp25.scn	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -1,29 +1,29 @@
 *** TEST 25 ***
-TA1 - region_ident - rnid => 16#10001#
+TA1 - region_ident - rnid => 16#32010001#
 TA1 - region_get_segment - wait on 64 byte segment from region 1
-TA1 - got segment from region 1 - 16#F9B8#
+TA1 - got segment from region 1 -   16#10#
 TA1 - region_get_segment - wait on 128 byte segment from region 1
-TA1 - got segment from region 1 - 16#F930#
+TA1 - got segment from region 1 -   16#70#
 TA1 - region_get_segment - wait on 256 byte segment from region 1
-TA1 - got segment from region 1 - 16#F828#
+TA1 - got segment from region 1 -  16#110#
 TA1 - region_get_segment - wait on 512 byte segment from region 1
-TA1 - got segment from region 1 - 16#F620#
+TA1 - got segment from region 1 -  16#230#
 TA1 - region_get_segment - wait on 1024 byte segment from region 1
-TA1 - got segment from region 1 - 16#F218#
+TA1 - got segment from region 1 -  16#450#
 TA1 - region_get_segment - wait on 2048 byte segment from region 1
-TA1 - got segment from region 1 - 16#EA10#
+TA1 - got segment from region 1 -  16#870#
 TA1 - region_get_segment - wait on 4096 byte segment from region 1
-TA1 - got segment from region 1 - 16#DA08#
+TA1 - got segment from region 1 - 16#1090#
 TA1 - region_get_segment - wait on 8192 byte segment from region 1
-TA1 - got segment from region 1 - 16#BA00#
-<pause>
-TA1 - region_return_segment - return segment to region 1 - 16#F828#
-TA1 - region_return_segment - return segment to region 1 - 16#F620#
-TA1 - region_return_segment - return segment to region 1 - 16#F9B8#
-TA1 - region_return_segment - return segment to region 1 - 16#F930#
-TA1 - region_return_segment - return segment to region 1 - 16#DA08#
-TA1 - region_return_segment - return segment to region 1 - 16#EA10#
-TA1 - region_return_segment - return segment to region 1 - 16#BA00#
-TA1 - region_return_segment - return segment to region 1 - 16#F218#
+TA1 - got segment from region 1 - 16#20B0#
+<pause> 
+TA1 - region_return_segment - return segment to region 1 -  16#110#
+TA1 - region_return_segment - return segment to region 1 -  16#230#
+TA1 - region_return_segment - return segment to region 1 -   16#10#
+TA1 - region_return_segment - return segment to region 1 -   16#70#
+TA1 - region_return_segment - return segment to region 1 - 16#1090#
+TA1 - region_return_segment - return segment to region 1 -  16#870#
+TA1 - region_return_segment - return segment to region 1 - 16#20B0#
+TA1 - region_return_segment - return segment to region 1 -  16#450#
 TA1 - region_delete - walks heap if debug enabled
 *** END OF TEST 25 ***
Index: c/src/ada-tests/support/init.c
===================================================================
--- c/src/ada-tests/support/init.c	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/support/init.c	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -22,5 +22,5 @@
 
 /*
- *  Only for sp04
+ *  Only for sp04 and sp07
  */
 
@@ -55,4 +55,18 @@
 }
 
+uint32_t work_space_size(void)
+{
+  return CONFIGURE_EXECUTIVE_RAM_SIZE;
+}
+
+uint32_t is_configured_multiprocessing(void)
+{
+#if defined(RTEMS_MULTIPROCESSING)
+  return 1;
+#else
+  return 0;
+#endif
+}
+
 uint32_t get_node(void)
 {
Index: c/src/ada-tests/support/test_support.adb
===================================================================
--- c/src/ada-tests/support/test_support.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/support/test_support.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -251,4 +251,34 @@
 
 --
+--  Return the size of the RTEMS Workspace
+--
+
+   function Work_Space_Size
+   return RTEMS.Unsigned32 is 
+      function Work_Space_Size_Base return RTEMS.Unsigned32;
+      pragma Import (C, Work_Space_Size_Base, "work_space_size");
+   begin
+      return Work_Space_Size_Base;
+   end Work_Space_Size;
+
+--
+--  Return an indication of whether multiprocessing is configured
+--
+
+   function Is_Configured_Multiprocessing
+   return Boolean is
+      function Is_Configured_Multiprocessing_Base return RTEMS.Unsigned32;
+      pragma Import (
+         C, Is_Configured_Multiprocessing_Base, "is_configured_multiprocessing"
+      );
+   begin
+      if Is_Configured_Multiprocessing_Base = 1 then
+         return True;
+      else
+         return False;
+      end if;
+   end Is_Configured_Multiprocessing;
+
+--
 --  Node is the node number in a multiprocessor configuration
 --
Index: c/src/ada-tests/support/test_support.ads
===================================================================
--- c/src/ada-tests/support/test_support.ads	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/support/test_support.ads	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -169,4 +169,18 @@
 
 --
+--  Return the size of the RTEMS Workspace
+--
+
+   function Work_Space_Size
+   return RTEMS.Unsigned32;
+
+--
+--  Return an indication of whether multiprocessing is configured
+--
+
+   function Is_Configured_Multiprocessing 
+   return Boolean;
+
+--
 --  Node is the node number in a multiprocessor configuration
 --
Index: c/src/ada-tests/tmtests/tm09/config.h
===================================================================
--- c/src/ada-tests/tmtests/tm09/config.h	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tm09/config.h	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -3,5 +3,5 @@
  *  This include file defines the Configuration Table for this test.
  *
- *  COPYRIGHT (c) 1989-1997.
+ *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +21,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_TIMER_DRIVER
 
+#define CONFIGURE_MAXIMUM_TASKS              2
 #define CONFIGURE_MAXIMUM_MESSAGE_QUEUES     1
 #define CONFIGURE_TICKS_PER_TIMESLICE        0
Index: c/src/ada-tests/tmtests/tm20/tmtest.adb
===================================================================
--- c/src/ada-tests/tmtests/tm20/tmtest.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tm20/tmtest.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -395,131 +395,4 @@
       );
 
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            TIMER_DRIVER.EMPTY_FUNCTION;
-         end loop;
-      OVERHEAD := TIMER_DRIVER.READ_TIMER;
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_INITIALIZE(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_INITIALIZE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_INITIALIZE 
-      );
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_OPEN(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_OPEN",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_OPEN 
-      );
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_CLOSE(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_CLOSE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_CLOSE 
-      );
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_READ(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_READ",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_READ 
-      );
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_WRITE(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_WRITE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_WRITE 
-      );
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            RTEMS.IO_CONTROL(
-               1, 
-               0,
-               RTEMS.NULL_ADDRESS,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_CONTROL",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT,
-         0,
-         RTEMS_CALLING_OVERHEAD.IO_CONTROL 
-      );
-
       RTEMS.SHUTDOWN_EXECUTIVE( 0 );
 
Index: c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -12,5 +12,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -25,25 +25,4 @@
 
 package body DUMMY_RTEMS is
-
--- Initialization Manager
-
-   procedure INITIALIZE_EXECUTIVE (
-      CONFIGURATION_TABLE   : in     RTEMS.CONFIGURATION_TABLE_POINTER;
-      CPU_TABLE             : in     RTEMS.CPU_TABLE_POINTER
-   ) is
-   begin
-
-      NULL;
-
-   end INITIALIZE_EXECUTIVE;
-
-   procedure SHUTDOWN_EXECUTIVE (
-      RESULT : in     RTEMS.UNSIGNED32
-   ) is
-   begin
-
-      NULL;
-
-   end SHUTDOWN_EXECUTIVE;
 
 -- Task Manager
@@ -204,16 +183,16 @@
 -- Interrupt Manager
 
-   procedure INTERRUPT_CATCH (
-      NEW_ISR_HANDLER : in     RTEMS.ADDRESS;
-      VECTOR          : in     RTEMS.VECTOR_NUMBER;
-      OLD_ISR_HANDLER :    out RTEMS.ADDRESS;
-      RESULT          :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      OLD_ISR_HANDLER := RTEMS.Null_Address;
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end INTERRUPT_CATCH;
+--   procedure INTERRUPT_CATCH (
+--      NEW_ISR_HANDLER : in     RTEMS.ADDRESS;
+--      VECTOR          : in     RTEMS.VECTOR_NUMBER;
+--      OLD_ISR_HANDLER :    out RTEMS.ADDRESS;
+--      RESULT          :    out RTEMS.STATUS_CODES
+--   ) is
+--   begin
+--
+--      OLD_ISR_HANDLER := RTEMS.Null_Address;
+--      RESULT := RTEMS.SUCCESSFUL;
+--
+--   end INTERRUPT_CATCH;
 
 -- Clock Manager
@@ -744,78 +723,4 @@
    end PORT_INTERNAL_TO_EXTERNAL;
 
--- Input/Output Manager
-
-   procedure IO_INITIALIZE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_INITIALIZE;
-
-   procedure IO_OPEN (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_OPEN;
-
-   procedure IO_CLOSE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_CLOSE;
-
-   procedure IO_READ (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_READ;
-
-   procedure IO_WRITE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_WRITE;
-
-   procedure IO_CONTROL (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   ) is
-   begin
-
-      RESULT := RTEMS.SUCCESSFUL;
-
-   end IO_CONTROL;
-
 -- Fatal Error Manager
 
